#include <stdio.h>
#include <string.h>

void strrev (char rline[])
{
  int i,j;
  char temp;

  i = 0;
  j = (strlen(rline)) -1;

  while(i < j)
  {
    temp = rline[i];
    rline[i] = rline[j];
    rline[j] = temp;
    ++i;
    --j;
  }
}
int main() {
  char buff[100];
  strcpy(buff,"test line");
  printf("Value of buff before reverse: %s\n",buff);
  strrev(buff);
  printf("Value of buff after reverse: %s\n",buff);
  
  return (0);
}
